import request from '@/utils/request'

// 查询保养知识库列表
export function listKonwledgeMaint(query) {
  return request({
    url: '/dms/konwledgeMaint/list',
    method: 'get',
    params: query
  })
}

// 查询保养知识库详细
export function getKonwledgeMaint(knowledgeMaintId) {
  return request({
    url: '/dms/konwledgeMaint/' + knowledgeMaintId,
    method: 'get'
  })
}

// 新增保养知识库
export function addKonwledgeMaint(data) {
  return request({
    url: '/dms/konwledgeMaint',
    method: 'post',
    data: data
  })
}

// 修改保养知识库
export function updateKonwledgeMaint(data) {
  return request({
    url: '/dms/konwledgeMaint',
    method: 'put',
    data: data
  })
}

// 删除保养知识库
export function delKonwledgeMaint(knowledgeMaintId) {
  return request({
    url: '/dms/konwledgeMaint/' + knowledgeMaintId,
    method: 'delete'
  })
}
